//
//  ContentBoxTabView.swift
//  SodaLive
//
//  Created by klaus on 12/7/24.
//

import SwiftUI

struct ContentBoxTabView: View {
    
    let title: String
    let isSelected: Bool
    
    var body: some View {
        Text(title)
            .font(.custom(Font.medium.rawValue, size: 14.7))
            .foregroundColor(isSelected ? Color.button : Color.gray77)
            .padding(.vertical, 8.3)
            .padding(.horizontal, 13.3)
            .overlay(
                RoundedRectangle(cornerRadius: 26.7)
                    .strokeBorder(lineWidth: 1)
                    .foregroundColor(isSelected ? Color.button : Color.gray77)
            )
    }
}

#Preview {
    ContentBoxTabView(title: "재생목록", isSelected: false)
}
